| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::StringVariantMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- StringVariantMap ()
- StringVariantMap (const QMap< QString, QDBusVariant > &a)
- StringVariantMap & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

A mapping from strings to variants representing extra key-value pairs.

## Constructor & Destructor Documentation

Tp::StringVariantMap::StringVariantMap | ( |  | ) | `[inline]`

Tp::StringVariantMap::StringVariantMap | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

StringVariantMap& Tp::StringVariantMap::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`